import { View } from "@tarojs/components";
import './room.scss'

function computeLevel (num) {
  switch (true) {
    case num >= 40:
      return 5;
    case num >= 16:
      return 4;
    case num >= 3:
      return 3;
    case num >= 1:
      return 2;
    default:
      return 1;
  }
}

export default function Room(props) {
  const { roomNumber, totalNum, price, apartmentName } = props.dataset || {}
  const personNum = `(${totalNum}人)`
  const colorBG = computeLevel(totalNum)

  return (
    <View className={`room bkg-${colorBG}`}>
      <View className="warn">{roomNumber}</View>
      <View className="warn">{personNum}</View>
      <View className="info">{price}</View>
      <View className="tip">{apartmentName}</View>
    </View>
  )
}
